<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [installAugmentations](./bitburner.singularity.installaugmentations.md)

## Singularity.installAugmentations() method

Install your purchased augmentations.

**Signature:**

```typescript
installAugmentations(cbScript?: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  cbScript | string | _(Optional)_ This is a script that will automatically be run after Augmentations are installed (after the reset). This script will be run with no arguments and 1 thread. It must be located on your home computer. |

**Returns:**

void

## Remarks

RAM cost: 5 GB \* 16/4/1

This function will automatically install your Augmentations, resetting the game as usual. If you do not own uninstalled Augmentations then the game will not reset.

